﻿Public Enum AuthenticationFlags
    Anonymous = 1
    Basic = 2
    Integrated = 4
    Digest = 16
    Passport = 64
End Enum

Public Enum AccessPermissionFlags
    Read = 1
    Write = 2
    Execute = 4
    Source = 16
    Script = 512
    NoRemoteRead = 4096
    NoRemoteWrite = 1024
    NoRemoteExecute = 8192
    NoRemoteScript = 16384
    NoPhysicalDir = 32768
End Enum

Public Enum DirectoryBrowseFlags As UInteger
    EnableDirBrowsing = 2147483648
    EnableDefaultDoc = 1073741824
    ShowDate = 2
    ShowTime = 4
    ShowSize = 8
    ShowExtension = 16
    ShowLongDate = 32
End Enum

Public Enum AppPoolStates
    Starting = 1
    Started = 2
    Stopping = 3
    Stopped = 4
End Enum

Public Enum AppPoolIdentityTypes
    LocalSystem = 0
    LocalService = 1
    NetworkService = 2
    UserDefined = 3
End Enum

Public Enum SiteStates
    Starting = 1
    Started = 2
    Stopping = 3
    Stopped = 4
    Pausing = 5
    Paused = 6
    Continuing = 7
End Enum

Public Enum ASPNETVersions
    v1_1_4322 = 1
    v2_0_50727 = 2
    v4_0_30319 = 4
End Enum